## ros-eloquent-mrt-cmake-modules 1.0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(mrt_cmake_modules)

if($ENV{ROS_VERSION} EQUAL 1)
    find_package(catkin REQUIRED)
    catkin_package(CFG_EXTRAS mrt_cmake_modules-extras.cmake)
else()
    cmake_policy(SET CMP0057 NEW)
    set(CATKIN_PACKAGE_SHARE_DESTINATION share/${PROJECT_NAME})
    set(CATKIN_PACKAGE_BIN_DESTINATION bin)
    find_package(ament_cmake_core REQUIRED)
    ament_package(CONFIG_EXTRAS cmake/mrt_cmake_modules-extras.cmake.in)
endif()

# Install all cmake files
install(DIRECTORY cmake DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(PROGRAMS scripts/generate_cmake_dependency_file.py scripts/init_coverage.py scripts/eval_coverage.py
                 scripts/run_test.py DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/scripts)
install(PROGRAMS scripts/generate_cmakelists.py DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(FILES yaml/cmake.yaml DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/yaml)
install(FILES ci_templates/CMakeLists.txt DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Make sure the same test targets exist as in other projects. This is so that "catkin run_tests" works, etc.
if(CATKIN_ENABLE_TESTING)
    if(NOT TARGET tests)
        add_custom_target(tests)
    endif()
    if(NOT TARGET run_tests)
        # usually catkin does that for us
        add_custom_target(run_tests)
        enable_testing()
    endif()
    if(NOT TARGET run_tests_${PROJECT_NAME})
        add_custom_target(run_tests_${PROJECT_NAME})
        add_dependencies(run_tests run_tests_${PROJECT_NAME})
    endif()
endif()

=== debian/changelog ===
ros-eloquent-mrt-cmake-modules (1.0.8-1bionic) bionic; urgency=high

  * Fix finding boost python on versions with old cmake but new boost
  * Contributors: Fabian Poggenhans

 -- Kevin Rösch <kevin.roesch@kit.edu>  Wed, 30 Sep 2020 00:00:00 -0000

ros-eloquent-mrt-cmake-modules (1.0.7-1bionic) bionic; urgency=high

  * Fix versioning of sofiles
  * Ensure unittests use the right gtest include dir
  * Contributors: Fabian Poggenhans

 -- Kevin Rösch <kevin.roesch@kit.edu>  Wed, 30 Sep 2020 00:00:00 -0000

ros-eloquent-mrt-cmake-modules (1.0.6-1bionic) bionic; urgency=high

  * Fix boost python building for python3
  * Contributors: Fabian Poggenhans

 -- Kevin Rösch <kevin.roesch@kit.edu>  Wed, 30 Sep 2020 00:00:00 -0000

ros-eloquent-mrt-cmake-modules (1.0.5-1bionic) bionic; urgency=high

  * Fix build for ROS2, gtest should no longer be installed in ROS2 mode
  * Improve python nosetest info
  * Update boost-python depend message
  * Fix python module setup
  * Packages can now have both a python module and a python api
  * Add qtbase5-dev key
  * Contributors: Fabian Poggenhans, Kevin Rösch, Maximilian Naumann

 -- Kevin Rösch <kevin.roesch@kit.edu>  Tue, 29 Sep 2020 00:00:00 -0000

ros-eloquent-mrt-cmake-modules (1.0.4-1bionic) bionic; urgency=high

  * Deleted deprecated configuration files
  * Fix cuda host compiler used for cuda 11
  * Fix __init__.py template for python3
  * Fix target handling for ros2
  * Fix build failures on ROS1
  * Fix the conan support
  * Add a dependency on ros_environment to ensure ROS_VERSION is set
  * Default to building shared libraries
  * Add QtScript to the list of qt components
  * Change license to BSD
  * Remove traces of GPL-licensed libgps
  * Remove unnecessary includes of cuda files
  * Update tensorflow c findscript to set new tensorflow include paths
  * Add cuda support for node and nodelet.
  * Remove usage of ast package for evaulating package.xml conditions
  * Fix crash if eval_coverage.py runs with python3
  * Ensure that coverage is also generated for cpp code called from plain rostests
  * Contributors: Fabian Poggenhans, Ilia Baltashov, Sven Richter

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Wed, 12 Aug 2020 00:00:00 -0000

ros-eloquent-mrt-cmake-modules (1.0.3-1bionic) bionic; urgency=high

  * Replace deprecated platform.distro call with distro module
  * Raise required CMake version to 3.0.2 to suppress warning with Noetic
  * Remove boost signals component that is no longer part of boost
  * Fixed c++14 test path include.
  * Fix installation of python api files
  * Update README.md
  * Reformat with new version of cmake-format
  * Add lcov as dependency again
  * Fix FindBoostPython.cmake for cmake below 3.11 and python3
  * Fix multiple include of MrtPCL
  * Contributors: Christian-Eike Framing, Fabian Poggenhans, Johannes Beck, Johannes Janosovits, Moritz Cremer

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 25 May 2020 00:00:00 -0000

ros-eloquent-mrt-cmake-modules (1.0.2-1bionic) bionic; urgency=high

  * Fix PCL findscript, disable precompiling
  * added jsoncpp
  * Make sure packages search for mrt_cmake_modules in their package config
  * Fix resolution of packages in underlaying workspaces
  * Mention rosdoc.yaml in package.xml
  * Contributors: Fabian Poggenhans, Johannes Beck, Johannes Janosovits

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 24 Mar 2020 00:00:00 -0000

ros-eloquent-mrt-cmake-modules (1.0.1-1bionic) bionic; urgency=high

  * Update maintainer
  * Update generate_dependency_file to search CMAKE_PREFIX_PATH for packages instead of ROS_PACKAGE_PATH
  * Update package xml to contain ROS urls and use format 3 to specify python version specific deps
  * Add a rosdoc file so that ros can build the cmake api
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Wed, 11 Mar 2020 00:00:00 -0000

ros-eloquent-mrt-cmake-modules (1.0.0-1bionic) bionic; urgency=high

  * Initial release for ROS
  * Contributors: Andre-Marcel Hellmund, Claudio Bandera, Fabian Poggenhans, Johannes Beck, Johannes Graeter, Niels Ole Salscheider, Piotr Orzechowski

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 24 Feb 2020 00:00:00 -0000

=== debian/control ===
Source: ros-eloquent-mrt-cmake-modules
Section: misc
Priority: optional
Maintainer: Kevin Rösch <kevin.roesch@kit.edu>
Build-Depends: debhelper (>= 9.0.0), python3-catkin-pkg-modules, python3-rospkg, python3-setuptools, python3-yaml, ros-eloquent-ament-cmake-core, ros-eloquent-ros-environment, ros-eloquent-ros-workspace
Homepage: http://wiki.ros.org/mrt_cmake_modules
Standards-Version: 3.9.2

Package: ros-eloquent-mrt-cmake-modules
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lcov, python3-catkin-pkg-modules, python3-rospkg, python3-setuptools, python3-yaml, ros-eloquent-gtest-vendor, ros-eloquent-ros-environment, ros-eloquent-ros-workspace
Description: CMake Functions and Modules for automating CMake

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DCMAKE_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-mrt-cmake-modules//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
